es.gob.fnmt.net.http

## Class MultipartData

- java.lang.Object
- - es.gob.fnmt.net.http.MultipartData

-     public class MultipartData
      extends java.lang.Object

  Class that builds multipart data for 'post' method.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultipartData()`
    `MultipartData(java.nio.charset.Charset charset)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPart(java.lang.String paramName, java.io.File file)` Add file type parameter.
    `void` | `addPart(java.lang.String paramName, java.lang.String paramValue)` Add string parameter.
    `void` | `addPart(java.lang.String paramName, android.net.Uri file, android.content.Context context)` Add file type parameter.
    `byte[]` | `finishData()` Finish MultipartData data stream and return data as byte array.
    `java.lang.String` | `getBoundary()` Get the boundary of multipart content data.
    `java.lang.String` | `getContentTypeProperty()` Get the 'Content-Type' request property with boundary.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultipartData

          public MultipartData()

    - #### MultipartData

          public MultipartData(java.nio.charset.Charset charset)

  - ### Method Detail

    - #### addPart

          public void addPart(java.lang.String paramName,
                              java.io.File file)
                       throws java.io.IOException

      Add file type parameter.
      Parameters:
        `paramName` -
        `file` - file parameter to send.
      Throws:
        `java.lang.IllegalArgumentException` - if `paramName` or `file` is `null`.
        `java.io.IOException`

    - #### addPart

          public void addPart(java.lang.String paramName,
                              java.lang.String paramValue)
                       throws java.io.IOException

      Add string parameter.
      Parameters:
        `paramName` -
        `paramValue` -
      Throws:
        `java.lang.IllegalArgumentException` - if `paramName` or `paramValue` is `null`.
        `java.io.IOException`

    - #### addPart

          public void addPart(java.lang.String paramName,
                              android.net.Uri file,
                              android.content.Context context)
                       throws java.io.IOException

      Add file type parameter.
      Parameters:
        `paramName` -
        `file` - file parameter to send.
        `context` - application context to resolve file stream.
      Throws:
        `java.lang.IllegalArgumentException` - if `paramName` or `file` or `context` is `null`.
        `java.io.IOException`

    - #### finishData

          public byte[] finishData()
                            throws java.io.IOException

      Finish MultipartData data stream and return data as byte array.
      Returns:
        Data as byte array.
      Throws:
        `java.io.IOException`

    - #### getBoundary

          public java.lang.String getBoundary()

      Get the boundary of multipart content data.
      Returns:
        The boundary identifier.

    - #### getContentTypeProperty

          public java.lang.String getContentTypeProperty()

      Get the 'Content-Type' request property with boundary.
      Returns:
        'Content-Type' request property information.